/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  2.1.0                                  |
|   \\  /    A nd           | Web:      http://www.OpenFOAM.com               |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/

FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    object      blockMeshDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
 
convertToMeters 1;
 
dnl changecom(//)
changequote([,])
define(LPAREN,[(])dnl
define(RPAREN,[)])dnl
dnl
define(calc, [esyscmd(perl -e 'printf ($1)')])dnl
dnl

dnl *********USER***********
dnl ===      POINTS      ===
define(diameter, 0.000500)dnl
dnl *******CALCULATED********
define(width, calc(20*diameter))dnl
define(height, calc(60*diameter))dnl
define(depth, calc(0.001*diameter))dnl

vertices        
(
    (  0  0  0 )          //0
    (  width  0  0 )          //1
    (  width  height  0 )          //2
    (  0  height  0 )          //3
    (  0  0  depth )          //4
    (  width  0  depth )        //5
    (  width  height  depth )               //6
    (  0  height  depth )        //7
    
  
); 

blocks          
LPAREN
    hex (0 1 2 3 4 5 6 7) (30 90 1) simpleGrading (1 1 1)          //1
  
RPAREN;
 
 edges           
 (
 );
boundary
LPAREN
    topWall
    {
        type patch;
        faces
        (
            (3 7 6 2)
        );
    }
    leftWall
    {
        type wall;
        faces
        (
            (0 4 7 3)
        );
    }
    rightWall
    {
        type wall;
        faces
        (
            (2 6 5 1)
        );
    }
    bottomWall
    {
        type wall;
        faces
        (
            (1 5 4 0)
        );
    }
    front
    {
        type empty;
        faces
        (
            (4 5 6 7)
        );
    }
    back
    {
        type empty;
        faces
        (
            (0 3 2 1)
            
        );
    }
RPAREN;
 
mergePatchPairs 
(
);
 
// ************************************************************************* //
