#! /bin/bash

clear
foamClearPolyMesh
foamCleanTutorials

m4 ./constant/polyMesh/blockMeshDict.m4 > ./constant/polyMesh/blockMeshDict #create the blockMeshDict
m4 ./system/step1.topoSetDict.m4 > ./system/step1.topoSetDict #Creating the region to refine

cp 0/alpha1.org 0/alpha1

blockMesh

topoSet -dict system/step1.topoSetDict
refineMesh -overwrite -dict
topoSet -dict system/step1.topoSetDict
refineMesh -overwrite -dict

setFields

funkySetFields -field alpha1 -expression 1 -time 0 -keepPatches -condition "pow(pos().x-(20*0.000500/2),2)+pow(pos().y-(0.9*60*0.000500),2)<=pow((0.000500/2),2)"

#interFoam > logInterFoam 

#sh plot.sh
