/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  2.1.1                                 |
|   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    location    "system";
    object      topoSetDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

dnl changecom(//)
changequote([,])
define(LPAREN,[(])dnl
define(RPAREN,[)])dnl
dnl
define(calc, [esyscmd(perl -e 'printf ($1)')])dnl
dnl

dnl *********USER***********
dnl ===      POINTS      ===
define(diameter, 0.000500)dnl
dnl *******CALCULATED********
define(leftBoundary, calc(20*diameter*0.28))dnl
define(rightBoundary, calc(20*diameter*0.72))dnl
define(height, calc(60*diameter))dnl


actions
(
    	
	{
        name    c0;
        type    cellSet;
        action  clear;
        
    	}	

	{
        name    c0;
        type    cellSet;
        action  new;
        source  boxToCell;
        sourceInfo
        {
            box (leftBoundary 0 -1) (rightBoundary height 1);
        }
    	}	
    

);

// ************************************************************************* //
